Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.api.dom
Class BXDomImpl

    java.lang.Object
      org.basex.api.dom.BXDomImpl

All Implemented Interfaces:
  org.w3c.dom.DOMImplementation

    public final class BXDomImpl

extends java.lang.Object
implements org.w3c.dom.DOMImplementation

DOM - implementation.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Constructor Summary
`BXDomImpl()`

Method Summary
`org.w3c.dom.Document` | `createDocument(java.lang.String nsURI, java.lang.String qn, org.w3c.dom.DocumentType doctype)`
`org.w3c.dom.DocumentType` | `createDocumentType(java.lang.String qn, java.lang.String pid, java.lang.String sid)`
`static BXDomImpl` | `get()` Returns the only instance of this class.
`java.lang.Object` | `getFeature(java.lang.String f, java.lang.String v)`
`boolean` | `hasFeature(java.lang.String f, java.lang.String v)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BXDomImpl

    public BXDomImpl()

Method Detail

### get

    public static BXDomImpl get()

  Returns the only instance of this class.

  Returns:
    instance

### createDocument

    public org.w3c.dom.Document createDocument(java.lang.String nsURI,
                                               java.lang.String qn,
                                               org.w3c.dom.DocumentType doctype)

  Specified by:
    `createDocument` in interface `org.w3c.dom.DOMImplementation`

### createDocumentType

    public org.w3c.dom.DocumentType createDocumentType(java.lang.String qn,
                                                       java.lang.String pid,
                                                       java.lang.String sid)

  Specified by:
    `createDocumentType` in interface `org.w3c.dom.DOMImplementation`

### getFeature

    public java.lang.Object getFeature(java.lang.String f,
                                       java.lang.String v)

  Specified by:
    `getFeature` in interface `org.w3c.dom.DOMImplementation`

### hasFeature

    public boolean hasFeature(java.lang.String f,
                              java.lang.String v)

  Specified by:
    `hasFeature` in interface `org.w3c.dom.DOMImplementation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD